Source: haskell-zeromq4-haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-async-dev (<< 3.0),
 libghc-async-dev (>= 2.0),
 libghc-async-prof,
 libghc-exceptions-dev (<< 1.0),
 libghc-exceptions-dev (>= 0.6),
 libghc-exceptions-prof,
 libghc-monad-control-dev (>= 1.0),
 libghc-monad-control-prof,
 libghc-semigroups-dev (>= 0.8),
 libghc-semigroups-prof,
 libghc-transformers-base-dev (>= 0.4),
 libghc-transformers-base-prof,
 libzmq3-dev (>= 4),
 pkg-config,
Build-Depends-Indep:
 ghc-doc,
 libghc-async-doc,
 libghc-exceptions-doc,
 libghc-monad-control-doc,
 libghc-semigroups-doc,
 libghc-transformers-base-doc,
Standards-Version: 4.1.4
Homepage: https://gitlab.com/twittner/zeromq-haskell/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-zeromq4-haskell
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-zeromq4-haskell]
X-Description: bindings to ZeroMQ 4.x
 The 0MQ lightweight messaging kernel is a library which extends the standard
 socket interfaces with features traditionally provided by specialised
 messaging middleware products.
 .
 0MQ sockets provide an abstraction of asynchronous message queues, multiple
 messaging patterns, message filtering (subscriptions), seamless access to
 multiple transport protocols and more.

Package: libghc-zeromq4-haskell-dev
Architecture: any
Depends:
 libzmq3-dev (>= 4),
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-zeromq4-haskell-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-zeromq4-haskell-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
